<?php
/*
Plugin Name: YITH WooCommerce Multi Vendor Premium Flatsome Support
Plugin URI: http://yithemes.com/themes/plugins/yith-woocommerce-product-vendors/
Description: Support for Flatsome theme
Author: YITHEMES
Version: 1.0.0
Author URI: http://yithemes.com/
*/
/*
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly 

add_action( 'init', 'yith_wcmv_flasome_support', 20 );
add_action( 'wp_enqueue_scripts', 'yith_wcmv_wp_enqueue_scripts', 20 );

if( ! function_exists( 'yith_wcmv_flasome_support' ) ){
    function yith_wcmv_flasome_support(){
        if( function_exists( 'YITH_Vendors' ) ){
            $frontend = YITH_Vendors()->frontend;

            if( $frontend ){
                remove_action( 'woocommerce_after_shop_loop_item', array( $frontend, 'woocommerce_template_vendor_name' ), 6  );
                add_action( 'woocommerce_after_shop_loop_item_title', array( $frontend, 'woocommerce_template_vendor_name' ), 4  );
            }
        }
    }
}

if( ! function_exists( 'yith_wcmv_wp_enqueue_scripts' ) ){
    function yith_wcmv_wp_enqueue_scripts(){
        $css = "span.by-vendor-name {margin-bottom: 10px; display: inline-block;}";
        wp_add_inline_style( 'yith-wc-product-vendors', $css );
    }
}